# Incremental authorisation

Increase the authorised amount of a POS transaction.

## Increment an authorisation

/v1/pos-transactions/{systemTransactionId}/modifications

## Request example

Use the following request to increment an authorisation.


```json
{
  "merchant": "MERCHANT-1",
  "site": "SITE-1",
  "merchantTransactionId": "POS_002",
  "merchantTransactionDate": "2025-01-27T08:51:02.826Z",
  "amounts": {
    "transaction": 29.99,
    "currencyCode": "GBP",
    "gratuity": 0
  },
  "operation": "Incremental"
}
```

| Parameter | Description |
|  --- | --- |
| `merchant`string (≤ 20 characters) | Your unique merchant identifier, as assigned by PXP. |
| `site`string (≤ 50 characters) | Your unique site identifier, as assigned by PXP. |
| `merchantTransactionId`string (≤ 50 characters) | The unique identifier for this transaction, as chosen by you. |
| `merchantTransactionDate`date-time | The date and time when the initial transaction happened, in ISO 8601 format. |
| `amounts`object | Details about the transaction amount. |
| `amounts.transaction`string | The value of the transaction. For `Incremental` operations, this should be more than the original transaction value. |
| `amounts.currencyCode`string | The currency code associated with the transaction, in ISO 4217 format. |
| `amounts.gratuity`number | The gratuity or tip amount added by the customer to the transaction total. |
| `operation`string | The type of modification that you want to make. Set this to `Incremental`.Possible values:`Capture``FinalCapture``Refund``Incremental``Void` |
| `offerDcc`boolean | Whether to offer Dynamic Currency Conversion to the customer during the transaction. Note: This is primarily used for Capture operations but is no longer actively supported. Defaults to `false`. |
| `merchantDeeplink`string (URI) | A custom URI scheme that allows your mobile app to handle payment callbacks. When provided, the payment terminal will use this deeplink to redirect users back to your app after the transaction is completed. |


## Response example

If your request is successful, you'll receive a `200` response containing a new `systemTransactionId`. You'll also receive a Transaction (Card Authorised) webhook notification.


```json
{
  "state": "Authorised",
  "stateData": {
    "code": "CRD000",
    "message": "Approved"
  },
  "approvalCode": "630822",
  "merchantTransactionId": "POS_002",
  "systemTransactionId": "b7bb31b8-dc6b-4158-9d8a-52e80728e9bc",
  "merchantTransactionDate": "2025-03-26T08:51:02.826445+00:00",
  "fundingData": {
    "maskedPrimaryAccountNumber": "222360******0011",
    "expiryMonth": "12",
    "expiryYear": "2025",
    "cardScheme": "MasterCard",
    "gatewayTokenId": "db2d6ff1-d67e-44d2-9e56-4bcdacad753f",
    "providerResponse": {
      "provider": "PXP Financial",
      "code": "00",
      "message": "",
      "merchantId": "",
      "terminalId": "",
      "paymentAccountReference": "",
      "schemeTransactionId": "",
      "merchantAdvice": {
        "code": "",
        "message": ""
      },
      "settlementDate": "2025-04-11T09:17:30.597279+01:00"
    }
  },
  "amounts": {
    "gratuity": 0
  },
  "dccData": {
    "dccSelectedIndicator": "Selected",
    "amounts": {
      "local": {
        "transaction": 100.00,
        "currencyCode": "USD"
      },
      "cardholder": {
        "transaction": 85.50,
        "currencyCode": "EUR"
      }
    },
    "exchangeRate": 0.855,
    "markupRate": 3.92,
    "disclaimer": "You are offered to pay in EUR. This includes a 3.5% commission above the base rate of 0.9245 provided by Elavon.",
    "providerData": {
      "provider": "Elavon",
      "referenceId": "REF123456789",
      "merchantId": "MERCH001",
      "terminalId": "TERM001",
      "markupTextIndicator": 1
    }
  }
}
```